package com.meeting.demo.view.sdkconfig.menu;


import com.meeting.demo.delegate.DelegateHolder;
import com.meeting.demo.model.MenuGroup;

import java.util.List;

public class VideoConfToolbarMenuConfigFragment extends MenuConfigFragment {

    @Override
    protected void initData() {
        List<MenuGroup> videoMeetingMenuFeatures = DelegateHolder.getHwmUiDelegate().getVideoMeetingMenuFeatures();
        for (MenuGroup videoMeetingMenuFeature : videoMeetingMenuFeatures) {
            addGroupData(videoMeetingMenuFeature.getName(), videoMeetingMenuFeature.getTag(), videoMeetingMenuFeature.getMenus());
        }
    }

    @Override
    public String getName() {
        return "视频会议菜单栏";
    }

    @Override
    protected String getMenuHandleName() {
        return DelegateHolder.getHwmUiDelegate().getVideoMeetingMenuHandle();
    }
}
